Gentoo Archives: gentoo-commits

From: Georgy Yakovlev <gyakovlev@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/
Date: Thu, 31 Jan 2019 18:52:39
Message-Id: 1548960740.2ebd0645dbf04d2f8155fba310612895007cc1cf.gyakovlev@gentoo
commit:     2ebd0645dbf04d2f8155fba310612895007cc1cf
Author:     Christian Strahl <christian.strahl <AT> eppendorf <DOT> de>
AuthorDate: Wed Jan 23 18:18:42 2019 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Jan 31 18:52:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ebd0645

dev-util/clion: version bump to 2018.3.3

Closes: https://bugs.gentoo.org/675912
Closes: https://github.com/gentoo/gentoo/pull/10895
Package-Manager: Portage-2.3.51-r1, Repoman-2.3.11
Signed-off-by: Christian Strahl <c.a.strahl <AT> gmail.com>
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-util/clion/Manifest              |  1 +
 dev-util/clion/clion-2018.3.3.ebuild | 69 ++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-util/clion/Manifest b/dev-util/clion/Manifest
index 1ec2d665602..74db60d86ed 100644
--- a/dev-util/clion/Manifest
+++ b/dev-util/clion/Manifest
@@ -1 +1,2 @@
+DIST clion-2018.3.3.tar.gz 454542257 BLAKE2B 77266c7858295c77428ed3e700623bcded610e7da97dbbbeeabd5674a5efb4c836824174896b737fcd2f9bda8fde4995b61c70e013ec783cc358208c5df80842 SHA512 5a74d83a0d15300710dffc37d0b781fcf1cd8c7cf40cbc55f3210e09ca35abfc26bd9596adbec7fea3340e4fa452a1656db06ea06f0dda738051b83867534be0
 DIST clion-2018.3.tar.gz 449404856 BLAKE2B 937903dad1d572f45c0079c49f224225c85b8b9ae677058ab894f44356820a1f9e966266c1a9885d256872e2b39d4cf5612b29cf269d12b98592ce0a07f40848 SHA512 86504e741f9da8559a4aebff4ebb181ef624756affecff13207ccbc4d3be4d95b52ec6e543d64e2457255e790135e41e215095bfa19b32ee4ef321ce96de1038

diff --git a/dev-util/clion/clion-2018.3.3.ebuild b/dev-util/clion/clion-2018.3.3.ebuild
new file mode 100644
index 00000000000..f20bbce7839
--- /dev/null
+++ b/dev-util/clion/clion-2018.3.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils
+
+DESCRIPTION="A complete toolset for C and C++ development"
+HOMEPAGE="http://www.jetbrains.com/clion"
+SRC_URI="http://download.jetbrains.com/cpp/CLion-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="IDEA
+	|| ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="splitdebug"
+IUSE="custom-jdk"
+
+# RDEPENDS may cause false positives in repoman.
+# clion requires cmake and gdb at runtime to build and debug C/C++ projects
+RDEPEND="
+	sys-devel/gdb
+	!custom-jdk? ( virtual/jdk )"
+
+QA_PREBUILT="opt/${P}/*"
+
+src_prepare() {
+	default
+
+	local remove_me=(
+		bin/gdb/linux
+		bin/lldb/linux
+		bin/cmake
+		license/CMake*
+		plugins/tfsIntegration/lib/native/hpux
+		plugins/tfsIntegration/lib/native/solaris
+	)
+
+	use amd64 || remove_me+=( plugins/tfsIntegration/lib/native/linux/x86_64 )
+	use arm || remove_me+=( bin/fsnotifier-arm plugins/tfsIntegration/lib/native/linux/arm )
+	use ppc || remove_me+=( plugins/tfsIntegration/lib/native/linux/ppc )
+	use x86 || remove_me+=( plugins/tfsIntegration/lib/native/linux/x86 )
+
+	use custom-jdk || remove_me+=( jre64 )
+
+	rm -rv "${remove_me[@]}" || die
+}
+
+src_install() {
+	local dir="/opt/${P}"
+
+	insinto "${dir}"
+	doins -r *
+	fperms 755 "${dir}"/bin/{clion.sh,fsnotifier{,64},clang/linux/clang{d,-tidy}}
+
+	if use custom-jdk; then
+		if [[ -d jre64 ]]; then
+		fperms 755 "${dir}"/jre64/bin/{java,jjs,keytool,orbd,pack200,policytool,rmid,rmiregistry,servertool,tnameserv,unpack200}
+		fi
+	fi
+
+	make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+	newicon "bin/${PN}.svg" "${PN}.svg"
+	make_desktop_entry "${PN}" "clion" "${PN}" "Development;IDE;"
+
+	# recommended by: https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+	dodir /usr/lib/sysctl.d/
+	echo "fs.inotify.max_user_watches = 524288" > "${D}/usr/lib/sysctl.d/30-clion-inotify-watches.conf" || die
+}